classification
Title: upgrade to sphinx 1.1
Type: enhancement Stage: needs patch
Components: Documentation Versions:
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Build 3.x documentation using python3.x
View: 10224
Assigned To: docs@python Nosy List: chris.jerdonek, docs@python, eric.araujo, ezio.melotti, georg.brandl, terry.reedy, vstinner
Priority: normal Keywords:

Created on 2012-11-14 10:27 by chris.jerdonek, last changed 2013-03-15 01:10 by terry.reedy. This issue is now closed.

Messages (4)
msg175560 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-11-14 10:27
This issue is to upgrade Python's Sphinx from version 1.0 to 1.1.

I don't already see an issue for this, and I'm not sure what upgrading entails.

Personally, I'm interested in the enhanced indexing capabilities, e.g. the "see" and "seealso" entry types, as well as marking main index entries:

http://sphinx-doc.org/markup/misc.html#directive-index

I'm sure other reasons for upgrading have been floated, though I don't know what they are.
msg175717 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2012-11-16 23:38
According to the changelog, Sphinx 1.1 now supports Python 3. Cool!

Doc/Makefile may be modified to use "PYTHON = python3".
msg184198 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-03-14 22:06
When this is done make.bat should be updated too.
msg184208 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-03-15 01:10
This duplicates a part of #10224, which proposes to upgrade all of Sphinx, Jinja2, and Pygments to Python 3 compatible versions (so we can build docs with Py3). In msg175768, Brett claims that all three have such versions.

Chris, if you want to push to only upgrade Sphinx and not the other two, you can re-open. But I'd like to see a justification as I suspect that upgrading the other two will, if anything, be easier (assuming no breakage of current usage).
History
Date User Action Args
2013-03-15 01:10:23terry.reedysetstatus: open -> closed

nosy: + terry.reedy
messages: + msg184208

superseder: Build 3.x documentation using python3.x
resolution: duplicate
2013-03-14 22:06:11ezio.melottisetmessages: + msg184198
stage: needs patch
2012-11-17 17:42:38ezio.melottilinkissue10224 dependencies
2012-11-16 23:38:07vstinnersetnosy: + vstinner
messages: + msg175717
2012-11-14 11:06:06ezio.melottisetnosy: + georg.brandl, ezio.melotti, eric.araujo
2012-11-14 10:27:50chris.jerdonekcreate